Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225899 - Merge Review: indent
Summary: Merge Review: indent
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:05 UTC by Nobody's working on this, feel free to take it
Modified: 2008-03-12 17:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-12 17:22:22 UTC
mlichvar: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:05:20 UTC
Fedora Merge Review: indent

http://cvs.fedora.redhat.com/viewcvs/devel/indent/
Initial Owner: pmachata@redhat.com

Comment 1 Petr Machata 2007-02-02 15:19:56 UTC
Commited and built for rawhide tidied-up version.  Rpmlint silent for both
binary and source rpm.

Comment 2 Miroslav Lichvar 2007-09-04 16:45:16 UTC
I'll look into this.

Comment 3 Petr Machata 2008-03-12 16:19:18 UTC
Rebased to 2.2.10.

Comment 4 Miroslav Lichvar 2008-03-12 17:22:22 UTC
OK:
- rpmlint is silent
- the package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
- the package is licensed with a Fedora approved license
- the License field in the package spec file matches the actual license (GPLv3+)
- the spec file is written in American English
- the spec file for the package is legible
- the sources used to build the package matches the upstream source
- all build dependencies are listed in BuildRequires
- the spec file handles locales properly
- the package owns all directories that it creates
- the package does not contain any duplicate files in the %files listing
- permissions on files are set properly
- the package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
- the package consistently uses macros
- the package contains code, or permissible content
- files included as %doc don't affect the runtime of the application
- the package does not own files or directories already owned by other packages
- at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
- all filenames in the package are valid UTF-8
- scriptlets are sane

Approved.


Note You need to log in before you can comment on or make changes to this bug.